// light
textures/sr3dm10/light1
{
	q3map_lightimage textures/base_light/baslt4_1.blend.tga
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	//q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc blend
	}        
	{
		map textures/base_light/baslt4_1.blend.tga
		blendFunc add
	}
	{
		map textures/effects/envmap2.tga
                	tcgen environment
		blendFunc add
		rgbGen identity
	}	
}
// Pete Parisi
//##################################################
//Blood Pool
//##################################################

textures/sr3dm10/meat_liquid_bloodpool_A
	{
		qer_editorimage textures/sr3dm10/meat_liquid_bloodpool_A.tga
		q3map_lightimage textures/sr3dm10/meat_liquid_bloodpool_A.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		// surfaceparm water
		q3map_surfacelight 500
		cull disable
		{ 
			map textures/sr3dm10/meat_liquid_bloodpool_A.tga
			blendFunc GL_ONE GL_ONE
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .005 .01
		}
		{ 
			map textures/sr3dm10/meat_liquid_bloodpool_B.tga
			blendFunc GL_ZERO GL_SRC_COLOR
			tcmod scale -.5 -.5
			tcmod scroll .01 .005
		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity		
		}
}
//*********************************
//XPAD Round
//*********************************

textures/sr3dm10/meat_pad_xpad_A
{
	
	qer_editorimage textures/sr3dm10/meat_pad_xpad_A.tga
	q3map_lightimage textures/sr3dm10/meat_pad_xpad_A_01.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/sr3dm10/meat_pad_xpad_A.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}	
	{
		animMap 20 textures/sr3dm10/meat_pad_xpad_A_01.tga textures/sr3dm10/meat_pad_xpad_A_02.tga textures/sr3dm10/meat_pad_xpad_A_03.tga textures/sr3dm10/meat_pad_xpad_A_04.tga textures/sr3dm10/meat_pad_xpad_A_05.tga
		blendfunc gl_one gl_one
		rgbGen wave square 0 .5 0 1.0
	}
	{
		animMap 20 textures/sr3dm10/meat_pad_xpad_A_01.tga textures/sr3dm10/meat_pad_xpad_A_02.tga textures/sr3dm10/meat_pad_xpad_A_03.tga textures/sr3dm10/meat_pad_xpad_A_04.tga textures/sr3dm10/meat_pad_xpad_A_05.tga
		blendfunc gl_one gl_one
		rgbGen wave square 0 .5 0 .8
	}
}

//************************
//bright sunnyday sky
//************************

textures/sr3dm10/sunnyday_sky
{
	qer_editorimage textures/sr3dm10/meat_sky_blue.tga
	q3map_sunExt .5 .4 .4 75 60 80 3 32
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 80 6
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm nodlight
	skyparms - 512 -
	{
		map textures/sr3dm10/meat_sky_blue.tga
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
		depthWrite
	}
	{
		map textures/sr3dm10/meat_sky_clouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 4 4
		tcMod scroll 0.03 0.03
	}
}
//*********************************
//Weapon Pad
//*********************************

textures/sr3dm10/meat_pad_weaponpad_A
{
	qer_editorimage textures/sr3dm10/meat_pad_weaponpad_A.tga
	q3map_lightimage textures/sr3dm10/meat_pad_weaponpad_A_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map textures/sr3dm10/meat_pad_weaponpad_A.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}	
	{
		map textures/sr3dm10/meat_pad_weaponpad_A_glow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin 1.0 1.0 .25 .8
	}
}